#
# spec file for package perl-List-SomeUtils
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name List-SomeUtils
Name:           perl-List-SomeUtils
Version:        0.59
Release:        1.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Provide the stuff missing in List::Util
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::SomeUtils::XS) >= 0.54
BuildRequires:  perl(Module::Implementation) >= 0.04
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(List::SomeUtils::XS) >= 0.54
Requires:       perl(Module::Implementation) >= 0.04
%{perl_requires}

%description
*List::SomeUtils* provides some trivial but commonly needed functionality
on lists which is not going to go into List::Util.

All of the below functions are implementable in only a couple of lines of
Perl code. Using the functions from this module however should give
slightly better performance as everything is implemented in C. The
pure-Perl implementation of these functions only serves as a fallback in
case the C portions of this module couldn't be compiled on this machine.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Tue Jan 17 2023 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 0.59
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.59     2022-12-10
  * Require Module::Implementation 0.04. Without this tests fail. Reported by
    Eric Brine. GH #11.
* Mon Oct 28 2019 <timueller+perl@suse.de>
- updated to 0.58
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.58     2019-10-26
  [BACKWARDS INCOMPATIBILITY]
  * Fixed a number of bugs in the handling of empty lists. The any_u(), all_u(),
    none_u(), notall_u(), and one_u() functions returned an empty list in list
    context instead of undef. This is in direct opposition to the documentation
    which has always said that it returned undef. Note that the
    List::SomeUtils::XS code had the _correct_ behavior, so most users probably
    have never experienced this bug.
  [IMPROVEMENTS]
  * Fixed some doc issues. Closes #7.
  0.57     2017-12-12 (TRIAL RELEASE)
  [BACKWARDS INCOMPATIBILITY]
  * Fixed a number of bugs in the handling of empty lists. The any_u(), all_u(),
    none_u(), notall_u(), and one_u() functions returned an empty list in list
    context instead of undef. This is in direct opposition to the documentation
    which has always said that it returned undef. Note that the
    List::SomeUtils::XS code had the _correct_ behavior, so most users probably
    have never experienced this bug.
* Thu Aug  3 2017 coolo@suse.com
- updated to 0.56
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.56     2017-07-22
  - Make sure we depend on the latest LSU::XS if the system support XS.
  0.55     2017-07-22
  - Fixed incorrect comments in doc examples for uniq().
  - Added a new function, mode(), requested by Jerrad Pierce. GH #2.
* Fri Jun  2 2017 coolo@suse.com
- updated to 0.54
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.54     2017-06-01
  - Moved issue tracking to GitHub.
* Fri Aug 19 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
* Thu Aug 18 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
* Wed Aug 17 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
* Tue Aug 16 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.53     2016-08-14
  - Replaced Exporter::Tiny with Exporter.
* Thu Jun  2 2016 coolo@suse.com
- initial package 0.52
  * created by cpanspec 1.78.08
